package config

import "github.com/kelseyhightower/envconfig"

type ServiceConfig struct {
	LogLevel    string `default:"INFO"`
	Port        int    `default:"5002"`
	DatabaseUri string `envconfig:"DATABASE_URI" required:"true"`
	Env         string `default:"dev"`
}

func GetServiceConfig() ServiceConfig {
	var sc ServiceConfig
	envconfig.MustProcess("PULLEY", &sc)
	return sc
}
